Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/alceste/alcesteLoader.groovy	(revision 878)
@@ -75,7 +75,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxmpara/xmltxmparaLoader.groovy	(revision 878)
@@ -61,7 +61,7 @@
 }
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+srcDir.getName());
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+srcDir.getName());
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 878)
@@ -74,7 +74,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(), "corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(), "corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/ImportModule.java
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/ImportModule.java	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/ImportModule.java	(revision 878)
@@ -85,7 +85,7 @@
 
 		
 		this.sourceDirectory = importParameters.paramFile.getParentFile();
-		this.binaryDirectory = new File(Toolbox.getTXMHOMEPATH(), "corpora/"+corpusName.toUpperCase());
+		this.binaryDirectory = new File(Toolbox.getTxmHomePath(), "corpora/"+corpusName.toUpperCase());
 
 		if (!updateCorpus) { // clean directories only if it's a new import
 			DeleteDir.deleteDirectory(binaryDirectory);
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/hyperprinceLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/hyperprinceLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperprince/hyperprinceLoader.groovy	(revision 878)
@@ -93,7 +93,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir+"/registry","hyperprince");
 if(registryfile.exists())
-	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(),"registry/hyperprince"))
+	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(),"registry/hyperprince"))
 
 Workspace w = org.txm.Toolbox.workspace;
 Project p = w.getProject("default")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xml/xmlLoader.groovy	(revision 878)
@@ -88,7 +88,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(), "corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(), "corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy	(revision 878)
@@ -81,7 +81,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/rgaqcjLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/rgaqcjLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/rgaqcjLoader.groovy	(revision 878)
@@ -78,7 +78,7 @@
 	return;
 }
 
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 rootDir = binDir.getAbsolutePath();
 dir = new File(rootDir);
 
@@ -96,7 +96,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir+"/registry", basename);
 if(registryfile.exists())
-	FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(), "registry/"+basename))
+	FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(), "registry/"+basename))
 
 Workspace w = org.txm.Toolbox.workspace;
 Project p = w.getProject("default")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importer.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/importer.groovy	(revision 878)
@@ -108,7 +108,7 @@
 		ArrayList<String> milestones = new ArrayList<String>();
 		
 		//where the binaries will be created
-		File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+		File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 		binDir.deleteDir();
 		binDir.mkdir();
 		
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy	(revision 878)
@@ -77,7 +77,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
@@ -175,7 +175,7 @@
 
 		params.corporaElement.appendChild(paraCorpusElem);
 
-		File cssfile = new File(Toolbox.getTXMHOMEPATH(), "css/tmx.css")
+		File cssfile = new File(Toolbox.getTxmHomePath(), "css/tmx.css")
 		if (cssfile.exists()) {
 			FileCopy.copy(cssfile, new File(outdir, "tmx.css"));
 		}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy	(revision 878)
@@ -82,7 +82,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy	(revision 878)
@@ -74,7 +74,7 @@
 def xslParams = params.getXsltParams(corpusElem);
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy	(revision 878)
@@ -71,7 +71,7 @@
 		milestones.add("pb");
 		milestones.add("lb");
 		
-		File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+		File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 		binDir.deleteDir();
 		binDir.mkdir();
 		new File(binDir,"ptokenized").deleteDir();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/bvhLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/bvhLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/bvhLoader.groovy	(revision 878)
@@ -80,7 +80,7 @@
 println "IMPORTER"
 new importer().run(new File(rootDir), basename);
 
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 rootDir = binDir.getAbsolutePath();
 
 println "ANNOTATE - fr "
@@ -104,7 +104,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir+"/registry",basename);
 if(registryfile.exists())
-	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(),"registry/"+basename))
+	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(),"registry/"+basename))
 
 Workspace w = org.txm.Toolbox.workspace;
 Project p = w.getProject("default")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy	(revision 878)
@@ -80,7 +80,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
@@ -113,7 +113,7 @@
 // Apply XSL
 if (MONITOR != null) MONITOR.worked(5, "APPLYING XSL")
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-File xslFile = new File(Toolbox.getTXMHOMEPATH(), "xsl/txm-filter-teifrantext-teibfm.xsl") // force xsl
+File xslFile = new File(Toolbox.getTxmHomePath(), "xsl/txm-filter-teifrantext-teibfm.xsl") // force xsl
 
 if (!ApplyXsl2.processImportSources(xslFile, srcDir, new File(binDir, "xsl"))) {
 	println "Error: failed to apply xsl $xsl. Aborting import."
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/perraultLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/perraultLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/perraultLoader.groovy	(revision 878)
@@ -90,7 +90,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir+"/registry","perrault");
 if(registryfile.exists())
-	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(),"registry/perrault"))
+	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(),"registry/perrault"))
 	
 
 Workspace w = org.txm.Toolbox.workspace;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy	(revision 878)
@@ -83,7 +83,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(), "corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(), "corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
@@ -128,7 +128,7 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "CREATING TEI FILES")
 println "-- CONVERTER - Converting source files"
-File xsldir = new File(Toolbox.getTXMHOMEPATH(), "xsl")
+File xsldir = new File(Toolbox.getTxmHomePath(), "xsl")
 if (!DocumentToTei.processFiles(srcfiles, txmDir, xsldir)) {
 	println "Abord import"
 	return;
@@ -333,7 +333,7 @@
 		File newcss = new File(outdir, textname+".css")
 		css.renameTo(newcss)
 	}
-	File doc = new File(Toolbox.getTXMHOMEPATH(), "css/doc.css")
+	File doc = new File(Toolbox.getTxmHomePath(), "css/doc.css")
 	doc_copy = new File(outdir, "doc.css")
 	FileCopy.copy(doc, doc_copy);
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy	(revision 878)
@@ -106,7 +106,7 @@
 def xslParams = params.getXsltParams(corpusElem);
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 //binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy	(revision 878)
@@ -76,7 +76,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 878)
@@ -52,7 +52,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy	(revision 878)
@@ -83,7 +83,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy	(revision 878)
@@ -73,7 +73,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy	(revision 878)
@@ -61,7 +61,7 @@
 		String rootDir = rootDirFile.getAbsolutePath()+"/"
 		
 		//cleaning
-		File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+		File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 		
 		binDir.deleteDir();
 		binDir.mkdir();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/laslaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/laslaLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/laslaLoader.groovy	(revision 878)
@@ -81,7 +81,7 @@
 	return;
 }
 
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 File txmfiles = new File(binDir,"txm");
 files = txmfiles.listFiles()
 
@@ -111,7 +111,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(binDir,"registry/"+basename);
 if(registryfile.exists())
-	FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(), "registry/"+basename))
+	FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(), "registry/"+basename))
 
 Workspace w = org.txm.Toolbox.workspace;
 Project p = w.getProject("default")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/importer.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/importer.groovy	(revision 878)
@@ -59,7 +59,7 @@
 	{
 		String rootDir = dir.getAbsolutePath()+"/"
 		//cleaning
-		File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+		File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 		binDir.deleteDir();
 		binDir.mkdir();
 		new File(binDir,"txm").deleteDir();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/fleursLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/fleursLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/fleursLoader.groovy	(revision 878)
@@ -78,7 +78,7 @@
 def imp = new importer();
 imp.run(homedir, basename);
 
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 rootDir = binDir.getAbsolutePath()+"/";
 
 println "-- ANNOTATE - Running NLP tools"
@@ -95,7 +95,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir,"registry/"+basename);
 if(registryfile.exists())
-	FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(),"registry/"+basename.toLowerCase()))
+	FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(),"registry/"+basename.toLowerCase()))
 
 Workspace w = org.txm.Toolbox.workspace;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/corptefLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/corptefLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/corptefLoader.groovy	(revision 878)
@@ -73,7 +73,7 @@
 println "-- IMPORTER - Reading source files"
 new importer().run(dir);
 
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/corptef");
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/corptef");
 rootDir = binDir.getAbsolutePath();
 dir = new File(rootDir);
 
@@ -91,7 +91,7 @@
 //move registry file to cwb registry dir
 File registryfile = new File(rootDir+"/registry","corptef");
 if(registryfile.exists())
-	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTXMHOMEPATH(),"registry/corptef"))
+	org.txm.utils.FileCopy.copy(registryfile,new File(Toolbox.getTxmHomePath(),"registry/corptef"))
 
 Workspace w = org.txm.Toolbox.workspace;
 Project p = w.getProject("default")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy	(revision 878)
@@ -60,7 +60,7 @@
 		String rootDir = dir.getAbsolutePath()+"/";
 
 		//clean directories
-		File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/corptef");
+		File binDir = new File(Toolbox.getTxmHomePath(),"corpora/corptef");
 		binDir.deleteDir();
 		binDir.mkdir();
 		new File(binDir,"ptokenized").deleteDir();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/pager.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/pager.groovy	(revision 878)
@@ -653,7 +653,7 @@
 		writer.close();
 		output.close();
 
-		File txmhome = new File(org.txm.Toolbox.getTXMHOMEPATH());
+		File txmhome = new File(org.txm.Toolbox.getTxmHomePath());
 		File xlsDir  = new File(txmhome, "xsl");
 		File xslfile = new File(xlsDir,"breakByMilestone.xsl");
 		if (!xslfile.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 878)
@@ -100,7 +100,7 @@
 boolean build_edition = params.getDoEdition("default")
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(),"corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
@@ -293,7 +293,7 @@
 		}
 
 		//copy transcriber.css
-		File cssfile = new File(Toolbox.getTXMHOMEPATH(), "css/transcriber.css")
+		File cssfile = new File(Toolbox.getTxmHomePath(), "css/transcriber.css")
 		if (cssfile.exists() && htmlDir.exists()) {
 			FileCopy.copy(cssfile, new File(htmlDir, "transcriber.css"));
 			FileCopy.copy(cssfile, new File(htmlDir, "onepage/transcriber.css"));
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 878)
@@ -25,7 +25,7 @@
 	return;
 }
 
-File oriflammsMacroDirectory = new File(Toolbox.getTXMHOMEPATH(), "scripts/macro/org/txm/macro/oriflamms/prepare")
+File oriflammsMacroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro/oriflamms/prepare")
 if (!oriflammsMacroDirectory.exists()) {
 	println "Oriflamms macro directory not found: "+oriflammsMacroDirectory
 	return;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 878)
@@ -13,7 +13,7 @@
 import org.txm.utils.xml.UpdateXSLParameters
 import org.txm.utils.zip.Zip;
 
-File oriflammsMacroDirectory = new File(Toolbox.getTXMHOMEPATH(), "scripts/macro/org/txm/macro/oriflamms/prepare")
+File oriflammsMacroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro/oriflamms/prepare")
 if (!oriflammsMacroDirectory.exists()) {
 	println "Oriflamms macro directory not found: $oriflammsMacroDirectory. Aborting"
 	return;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy	(revision 878)
@@ -85,7 +85,7 @@
 println "	editionName = $editionName"
 println "	useTokenizedDirectory = $useTokenizedDirectory"
 
-File TXMHOME = new File(Toolbox.getTXMHOMEPATH())
+File TXMHOME = new File(Toolbox.getTxmHomePath())
 File xslDirectory = new File(TXMHOME, "xsl")
 if (xslEdition == null || xslEdition.getName() == "txm-edition-xtz.xsl")
 	xslEdition = new File(xslDirectory, "txm-edition-xtz.xsl")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy	(revision 878)
@@ -28,7 +28,7 @@
 }
 
 def r = RWorkspace.getRWorkspaceInstance()
-def file = File.createTempFile("IndexHist", ".svg", new File(Toolbox.getTXMHOMEPATH(), "results"))
+def file = File.createTempFile("IndexHist", ".svg", new File(Toolbox.getTxmHomePath(), "results"))
 
 /// BEGIN SCRIPTS
 def script ="""
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/ExecRMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/ExecRMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/ExecRMacro.groovy	(revision 878)
@@ -28,7 +28,7 @@
 }
 
 def r = RWorkspace.getRWorkspaceInstance()
-def file = File.createTempFile("IndexHist", ".svg", new File(Toolbox.getTXMHOMEPATH(), "results"))
+def file = File.createTempFile("IndexHist", ".svg", new File(Toolbox.getTxmHomePath(), "results"))
 
 /// BEGIN SCRIPTS
 def script ="""
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/PlotSpecifMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/PlotSpecifMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/PlotSpecifMacro.groovy	(revision 878)
@@ -62,7 +62,7 @@
 // END OF PARAMETERS
 
 def r = RWorkspace.getRWorkspaceInstance()
-def file = File.createTempFile("txm", ".svg", new File(Toolbox.getTXMHOMEPATH(), "results"))
+def file = File.createTempFile("txm", ".svg", new File(Toolbox.getTxmHomePath(), "results"))
 
 /// BEGIN SCRIPTS
 def script ="""
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy	(revision 878)
@@ -120,7 +120,7 @@
 def xslParams = params.getXsltParams(corpusElem);
 
 File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTXMHOMEPATH(), "corpora/"+basename);
+File binDir = new File(Toolbox.getTxmHomePath(), "corpora/"+basename);
 binDir.deleteDir();
 binDir.mkdirs();
 if (!binDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy	(revision 877)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy	(revision 878)
@@ -48,7 +48,7 @@
 	return
 }
 
-String txmhome = Toolbox.getTXMHOMEPATH();
+String txmhome = Toolbox.getTxmHomePath();
 File scriptsdir = new File(txmhome, "scripts/import")
 File script = new File(scriptsdir, scriptName)
 
